Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.backend.impl.lucene.works
Class DeleteExtWorkDelegate

    java.lang.Object
      org.hibernate.search.backend.impl.lucene.works.DeleteExtWorkDelegate

All Implemented Interfaces:
  LuceneWorkDelegate

    public class DeleteExtWorkDelegate

extends java.lang.Object

Stateless extension of `DeleteLuceneWork`, performing the same LuceneWork in an optimal way in case the index is NOT shared across different entities (which is the default).

Author:
  Sanne Grinovero
See Also:
  `DeleteWorkDelegate`

Method Summary
`void` | `logWorkDone(LuceneWork work, MassIndexerProgressMonitor monitor)` Used for stats and performance counters, use the monitor to keep track of activity done on the index.
`void` | `performWork(LuceneWork work, org.apache.lucene.index.IndexWriter writer)` Will perform work on an IndexWriter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### performWork

    public void performWork(LuceneWork work,
                            org.apache.lucene.index.IndexWriter writer)

  Description copied from interface: `LuceneWorkDelegate`
  Will perform work on an IndexWriter.

  Specified by:
    `performWork` in interface `LuceneWorkDelegate`
  Parameters:
    `work` - the LuceneWork to apply to the IndexWriter.
    `writer` - the IndexWriter to use.

### logWorkDone

    public void logWorkDone(LuceneWork work,
                            MassIndexerProgressMonitor monitor)

  Description copied from interface: `LuceneWorkDelegate`
  Used for stats and performance counters, use the monitor to keep track of activity done on the index.

  Specified by:
    `logWorkDone` in interface `LuceneWorkDelegate`
  Parameters:
    `work` - the work which was done.
    `monitor` - the monitor tracking activity.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.